services:
  amazon_ses.message_builder:
    class: Drupal\amazon_ses\MessageBuilder
    arguments: ['@logger.channel.amazon_ses', '@config.factory', '@file_system', '@file.mime_type.guesser']

  amazon_ses.handler:
    class: Drupal\amazon_ses\AmazonSesHandler
    arguments: ['@aws.client_factory', '@logger.channel.amazon_ses', '@messenger', '@event_dispatcher', '@config.factory']

  logger.channel.amazon_ses:
    class: Drupal\Core\Logger\LoggerChannel
    factory: logger.factory:get
    arguments: ['amazon_ses']
